Bug 194345 - [PATCH] sysutils/hal: hald does not detect video interfaces, so cheese does not work
Summary: [PATCH] sysutils/hal: hald does not detect video interfaces, so cheese does n...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thomas Zander
URL:
Keywords: easy, needs-qa, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2014-10-14 03:04 UTC by lenzi.sergio
Modified: 2015-08-22 11:02 UTC (History)
3 users (show)

See Also:


Attachments
this patches the file files/patch-hald_freebsd_probing_probe-video4linux.c (1.53 KB, patch)
2014-10-14 03:04 UTC, lenzi.sergio
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lenzi.sergio 2014-10-14 03:04:49 UTC
Created attachment 148285 [details]
this patches the file files/patch-hald_freebsd_probing_probe-video4linux.c

When you build a custom kernel, generally you do not put optios STACK in the kernel, so the sysctl kern.proc.pid is not available
Hal needs that sysctl in order to detect video interfaces. but it is only a test, so can work without that test.


A patch to fix this issue (in the attach) fixes the file /usr/ports/sysutils/hal/files

Than cheese and others that needs hal detection will have /dev/videoX
Comment 1 Bugzilla Automation freebsd_committer 2014-10-14 03:04:49 UTC
Maintainers CC'd
Comment 2 John Marino freebsd_committer 2014-10-31 19:38:10 UTC
This PR timed out, moving to patch ready (gnome approval no longer required)

on a side note, I have no idea how the auto-assigner figured out this was a gnome@ port with the given title.
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2014-11-02 01:23:28 UTC
Over to maintainers.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-21 10:10:01 UTC
Maintainer timeout, open to commit.
Comment 5 Kurt Jaeger freebsd_committer 2015-05-21 18:02:11 UTC
Build-test on 10.1a, 9.3a, 8.4i has build fail on 8.4i:

http://people.freebsd.org/~pi/logs/sysutils__hal-*
Comment 6 Kurt Jaeger freebsd_committer 2015-05-21 19:57:24 UTC
builds on 10.1i, so it's not an i386 problem.
Comment 7 commit-hook freebsd_committer 2015-08-22 10:59:50 UTC
A commit references this bug:

Author: riggs
Date: Sat Aug 22 10:58:57 UTC 2015
New revision: 395027
URL: https://svnweb.freebsd.org/changeset/ports/395027

Log:
  - Allow to detect video interfaces when kernel is built without STACK
  - Bump PORTREVISION

  PR:		194345
  Submitted by:	lenzi.sergio@gmail.com
  Reviewed by:	pi
  Approved by:	maintainer timeout

Changes:
  head/sysutils/hal/Makefile
  head/sysutils/hal/files/patch-hald_freebsd_probing_probe-video4linux.c